<?php
/***************************************************************
 *  Copyright notice
*
*  (c) 2015 Christoph Dieter <dieter@mindshape.de>, mindshape GmbH
*
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 3 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

namespace Mindshape\MindshapeCookieHint\Controller;

/**
 * MainController
 */
class MainController extends \TYPO3\CMS\Extbase\Mvc\Controller\ActionController {

	/**
	 * action cookie
	 *
	 * @return void
	 */
	public function cookieAction() {
		if(!$this->settings['position'] || ($this->settings['position'] != 'top' && $this->settings['position'] != 'bottom')) $position = 'bottom';
		else $position = $this->settings['position'];
		
		if(!$this->settings['style'] || ($this->settings['style'] != 'dark' && $this->settings['style'] != 'light')) $css = 'dark';
		else $css = $this->settings['style'];
		
		$style = $css.'-'.$position;
		
		if($_GET['debug']) echo $GLOBALS['TSFE']->baseUrl.'typo3conf/ext/mindshape_cookie_hint/Resources/Public/Css/'.$style.'.css';
		$this->response->addAdditionalHeaderData('<link rel="stylesheet" type="text/css" media="all"  href="'.$GLOBALS['TSFE']->baseUrl.'typo3conf/ext/mindshape_cookie_hint/Resources/Public/Css/'.$style.'.css" />');
		
		$this->view->assign('style', $style);
	}
}
?>